Skip to content

Integration checklist

Sign up for an account

  1. Create your Montonio account by filling in the registration form on our website (click the “Get started” button) and complete the onboarding in our Partner System.
  2. Create a Partner System user account for yourself and other team members who are working on the integration.
  3. Copy the API keys of your store from the Partner System.

Let your customer choose a payment method

Full guide: Display payment methods

  1. Get the list of available payment methods from the API.
  2. Display the list of available payment methods to the customer.

Create an Order and redirect the customer

Full guide: Create and validate an order

  1. Compose a JWT with the Order details and sign it with your Secret Key.
  2. Create an Order by sending the JWT to the POST /orders endpoint.
  3. Redirect the customer to the paymentUrl returned by the API.
  4. After your customer finishes the payment process, he will be redirected to the returnUrl specefied in your request.

Validate the payment

Full guide: Create and validate an order -> Validating the payment

Montonio uses webhooks to notify you about Order status changes, events related to refunds, and other important events. It is required to listen to webhooks by specifying notificationUrl to keep your Order statuses up to date.

Additionally, an Order token with the same information is included as a query parameter during the redirect back to your store. This helps you validate the payment as part of the synchronous user flow. However, webhooks should still be the primary method of listening for Order status changes.

  1. Set up a webhook listener on your server.
  2. Wait for the event.
  3. Verify the contents of the webhook with your Secret Key.
  4. Update the status of the Order in your system and take any other necessary actions.